Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.mimes
[Groovy] Class MimeTypesFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.mimes.MimeTypesFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.FactoryBean, org.springframework.context.ApplicationContextAware

    @groovy.transform.CompileStatic
    class MimeTypesFactoryBean
    extends java.lang.Object

Creates the MimeType[] object that defines the configured mime types.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`org.springframework.context.ApplicationContext` | `applicationContext`
`GrailsApplication` | `grailsApplication`

Method Summary
`protected java.util.Map` | `getMimeConfig(groovy.util.ConfigObject config)`
`MimeType[]` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    org.springframework.context.ApplicationContext applicationContext

### grailsApplication

    GrailsApplication grailsApplication

Method Detail

### getMimeConfig

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.util.Map getMimeConfig(groovy.util.ConfigObject config)

### getObject

    MimeType[] getObject()

### getObjectType

    java.lang.Class getObjectType()

### isSingleton

    boolean isSingleton()

Groovy Documentation